# FasTag Verification

Retrieve FASTag registration details using a unique vehicle identifier to verify toll tag linkage and support vehicle profiling.

`POST` `https://secctrl.tutelar.io/api/v1/services/business_profile/fastag_verification`

## Sample Request Body

| Body          | Type   | Mandatory | Description                          |
| ------------- | ------ | --------- | ------------------------------------ |
| vehicleNumber | string | Yes       | Vehicle Number registered in Fastag. |

```json
{
  "vehicleNumber": "TN01AB1234"
}
```

## Responses

### 200: Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "28326a59-8dde-4806-8420-b69e1327b172",
  "status": "completed",
  "result": [
    {
      "tag_id": "3416XXXXXXXXXXXXXXXXXXXX",
      "vehicle_number": "TN01XXXXXX",
      "tag_status": "Inactive",
      "vehicle_class": "VC4",
      "issue_date": "2023-07-26",
      "issuer_bank": "State Bank of India"
    }
  ],
  "requested_at": "2026-05-08T08:16:35.555Z",
  "completed_at": "2026-05-08T08:16:35.825Z"
}
```

### 200: In progress

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
  "status": "in_progress",
  "requested_at": "2026-05-08T07:33:29.760Z"
}
```

### 400: Validation Error Response

```json
{
  "success": false,
  "code": 400,
  "message": "Vehicle Number should not be empty",
  "error": {
    "message": "Vehicle Number should not be empty",
    "field": "vehicleNumber",
    "code": "BAD_REQUEST"
  }
}
```

### 200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "93059ecb-deb0-46df-b3dd-b39022323644",
  "status": "failed",
  "error": {
    "message": "vehicleNumber is incorrect.",
    "code": "ERROR"
  },
  "requested_at": "2026-05-08T09:09:39.375Z",
  "completed_at": "2026-05-08T09:09:40.139Z"
}
```

## Get details

`GET` `https://secctrl.tutelar.io/api/v1/services/business_profile/fastag_verification`

### Query parameters

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

### Responses

#### 200: Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "28326a59-8dde-4806-8420-b69e1327b172",
  "status": "completed",
  "result": [
    {
      "tag_id": "3416XXXXXXXXXXXXXXXXXXXX",
      "vehicle_number": "TN01XXXXXX",
      "tag_status": "Inactive",
      "vehicle_class": "VC4",
      "issue_date": "2023-07-26",
      "issuer_bank": "State Bank of India"
    }
  ],
  "requested_at": "2026-05-08T08:16:35.555Z",
  "completed_at": "2026-05-08T08:16:35.825Z"
}
```

#### 200: Inprogress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
  "status": "in_progress",
  "requested_at": "2026-05-08T07:33:29.760Z"
}
```

#### 200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "93059ecb-deb0-46df-b3dd-b39022323644",
  "status": "failed",
  "error": {
    "message": "vehicleNumber is incorrect.",
    "code": "ERROR"
  },
  "requested_at": "2026-05-08T09:09:39.375Z",
  "completed_at": "2026-05-08T09:09:40.139Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/fastag-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
